SDL_ThreadFunction(3type)

NAME
SDL_ThreadFunction - The function passed to SDL_CreateThread ().

HEADER FILE
Defined in SDL3/SDL_thread.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef int (SDLCALL * SDL_ThreadFunction) (void *data);

FUNCTION PARAMETERS

data
    what was passed as data to SDL_CreateThread ()

RETURN VALUE
Returns a value that can be reported through SDL_WaitThread ().

AVAILABILITY
This datatype is available since SDL 3.0.0.